//////////////////////////////////////////////////////////////////////////
// define domains

// burble.dn42
var rz_s4 = REV('172.20.129.0/27');
var rz_n4 = REV('172.20.129.160/27');
var rz_6 = REV('fd42:4242:2601::/48');
pdns_domain(rz_s4);
pdns_domain(rz_n4);
pdns_domain(rz_6);

//////////////////////////////////////////////////////////////////////////
// special reverse zones

// b.master.delegation-servers.dn42
var rz_master = REV('fd42:180:3de0:30::/60');
pdns_domain(rz_master);

D_EXTEND(
    rz_master,
    PTR('fd42:180:3de0:30::1', 'b.master.delegation-servers.dn42.')
);

// Registry Services
var rz_regsvc4 = REV('172.22.63.0/28');
var rz_regsvc6 = REV('fd42:180:3de0:100::/60');

pdns_domain(rz_regsvc4);
D_EXTEND(
    rz_regsvc4,
    PTR('172.22.63.1', 'route.git.dn42.'),
    PTR('172.22.63.2', 'git.dn42.'),
    PTR('172.22.63.3', 'drone.git.dn42.'),
    PTR('172.22.63.4', 'runners.git.dn42.')
);

pdns_domain(rz_regsvc6);
D_EXTEND(
    rz_regsvc6,
    PTR('fd42:180:3de0:100::1',                  'route.git.dn42.'),
    PTR('fd42:180:3de0:100:fc5f:3a14:838e:a7a7', 'git.dn42.'),
    PTR('fd42:180:3de0:100:42e6:9ff:fe09:bfc0',  'drone.git.dn42.'),
    PTR('fd42:180:3de0:100:216:3eff:fecd:471f',  'runners.git.dn42.')    
);

//////////////////////////////////////////////////////////////////////////
// end of file
